import { Component, OnInit } from '@angular/core';
import { ProjectService } from 'src/app/services/project.service';
import { SingleProjectConfig } from 'src/app/models/single-project-config';

@Component({
  selector: 'app-projects',
  templateUrl: './projects.component.html',
  styleUrls: ['./projects.component.css']
})
export class ProjectsComponent implements OnInit {

  projects: Array<SingleProjectConfig>;
  isProjectsLoading: boolean;

  constructor(private projectService: ProjectService) { }

  async ngOnInit() {
    await this.loadProjects();
  }

  async loadProjects() {
    this.isProjectsLoading = true;
    try {
      let result = await this.projectService.getProjects();
      this.projects = result;
    } finally {
      this.isProjectsLoading = false;
    }
  }
}
