import { Pipe, PipeTransform } from '@angular/core';
import { TaskVariables } from '../models/task-variables';
import { VariableValue } from '../models/variable-value';

@Pipe({
  name: 'taskVariable'
})
export class TaskVariablePipe implements PipeTransform {

  transform(value: TaskVariables, ...args: unknown[]): string {
    var declarations = this.getValueDeclarations(value.variableValues).join(", ");
    return value.task + " : [" + declarations + "]";
  }

  private getValueDeclarations(variableValues: Array<VariableValue>): Array<String> {
    var valueDeclarations = Array<String>();
    for(let variableValue of variableValues) {
      var declaration = variableValue.variable + "=" + variableValue.value;
      valueDeclarations.push(declaration);
    }

    return valueDeclarations;
  }
}
